Loading...
Searching...
No Matches
simple_xy_wr.c File Reference

An example program demonstrating a simple 2D write. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <netcdf.h>`
Include dependency graph for simple_xy_wr.c:

Go to the source code of this file.

## Macros

#define | ERR(e)
#define | ERRCODE 2
#define | FILE_NAME "simple_xy.nc"
#define | NDIMS 2
#define | NX 6
#define | NY 12

## Functions

int | main ()

## Detailed Description

An example program demonstrating a simple 2D write.

Copyright 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018 University Corporation for Atmospheric Research/Unidata.

See netcdf-c/COPYRIGHT file for more info.

Definition in file simple_xy_wr.c.

## Macro Definition Documentation

## ERR

#define ERR | ( |  | e | ) |

Value:
{printf("Error: %s\n", nc_strerror(e)); exit(ERRCODE);}
nc_strerror
EXTERNL const char * nc_strerror(int ncerr)
Given an error number, return an error message.
Definition derror.c:87

Definition at line 26 of file simple_xy_wr.c.

## ERRCODE

#define ERRCODE 2

Definition at line 25 of file simple_xy_wr.c.

## FILE_NAME

#define FILE_NAME "simple_xy.nc"

Definition at line 16 of file simple_xy_wr.c.

## NDIMS

#define NDIMS 2

Definition at line 19 of file simple_xy_wr.c.

## NX

#define NX 6

Definition at line 20 of file simple_xy_wr.c.

## NY

#define NY 12

Definition at line 21 of file simple_xy_wr.c.

## Function Documentation

## main()

int main | ( |  | ) |

Definition at line 29 of file simple_xy_wr.c.